/*
 * arch.h: Architecture specific defines
 *
 * Copyright (C) 2001  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 *
 * $Id: arch.h,v 1.18 2003/09/04 18:10:40 russd Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: arch.h,v 1.18 2003/09/04 18:10:40 russd Exp $"

#ifndef BLOB_ARCH_H
#define BLOB_ARCH_H

/* processor specific include files */
#if defined MONAHANS
#include <blob/proc/monahans.h>
#elif defined PXA250
#include <blob/proc/pxa.h>
#elif defined(SA1100) || defined(SA1110)
#include <blob/proc/sa1100.h>
#elif defined S3C2500
#include <blob/proc/s3c2500.h>
#else
# error "Please add an CPU specific include file"
#endif

/* architecture specific include files */
#if defined ACCELENT_SA
# include <blob/arch/accelent_sa.h>
#elif defined ASSABET
# include <blob/arch/assabet.h>
#elif defined BADGE4
# include <blob/arch/badge4.h>
#elif defined BRUTUS
# include <blob/arch/brutus.h>
#elif defined CEP
# include <blob/arch/cep.h>
#elif defined CLART
# include <blob/arch/clart.h>
#elif defined FRODO
# include <blob/arch/frodo.h>
#elif defined HKIT
# include <blob/arch/hackkit.h>
#elif defined H3600
# include <blob/arch/h3600.h>
#elif defined IDR
# include <blob/arch/idr.h>
#elif defined JORNADA720
# include <blob/arch/jornada720.h>
#elif defined LART
# include <blob/arch/lart.h>
#elif defined LUBBOCK
#include <blob/arch/lubbock.h>
#elif defined MAINSTONE
#include <blob/arch/mainstone.h>
#elif defined ZYLONITE
#include <blob/arch/zylonite.h>
#elif defined LITTLETON
#include <blob/arch/littleton.h>
#elif defined BENZINA
#include <blob/arch/bez.h>
#elif defined MINIPRINT
# include <blob/arch/miniprint.h>
#elif defined NESA
# include <blob/arch/nesa.h>
#elif defined PLEB
# include <blob/arch/pleb.h>
#elif defined RAMSES
# include <blob/arch/ramses.h>
#elif defined SHANNON
# include <blob/arch/shannon.h>
#elif defined SMDK2500
# include <blob/arch/smdk2500.h>
#elif defined PT_SYSTEM3
# include <blob/arch/system3.h>
#elif defined PT_DAFIT
# include <blob/arch/dafit.h>
#elif defined TRIZEPS
# include <blob/arch/trizeps.h>
#elif defined PXA_IDP
# include <blob/arch/pxa_idp.h>
#elif defined CSIR_IMS
# include <blob/arch/csir_ims.h>
#else
# error "Please add an architecture specific include file"
#endif

#endif
