#ifndef __STRATA_H
#define __STRATA_H

#define MAX_REGIONS	2

/* Intel Strata Flash(R) Flash Memory */
typedef enum flash_type {
	STRATA_UNKNOWN, 
	STRATA_J3, 
	STRATA_K3, 
	STRATA_K18,
	STRATA_L3,
	STRATA_L18,
	SIBLEY
}flash_type;

struct flash_region
{
	u32 offset;
	u32 block_num;
	u32 block_size;
};

struct flash_chip
{
	u32 base;
	u32 buswidth;

	u32 id;
	u32 cache_size;
	enum flash_type type;

	int region_num;
	struct flash_region regions[MAX_REGIONS];

	u32 rcr;
};

/* function interface */
extern int flash_erase(struct flash_chip *chip, u32 dest, u32 len);
extern int flash_write(struct flash_chip *chip, u32 dest, u8 *mem, u32 len);
extern int flash_probe(struct flash_chip *chip);

#endif
