
/*
 * gpio-pxa.S - gpio setup for PXA architecture
 *
 * $Id: gpio-pxa.S,v 1.3 2003/08/07 19:46:54 abz Exp $
 *
 * Copyright (C) 2003 Abraham van der Merwe <abz@4dllc.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

.ident "$Id: gpio-pxa.S,v 1.3 2003/08/07 19:46:54 abz Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/arch.h>

.text

.macro save, reg, value
	ldr		r1, =\reg
	ldr		r0, =\value
	str		r0, [r1]
.endm

.globl gpiosetup
gpiosetup:
	save	GPSR0, GPSR0_VALUE
	save	GPSR1, GPSR1_VALUE
	save	GPSR2, GPSR2_VALUE
#if defined(GPSR3_VALUE)
	save	GPSR3, GPSR3_VALUE
#endif

	save	GPCR0, GPCR0_VALUE
	save	GPCR1, GPCR1_VALUE
	save	GPCR2, GPCR2_VALUE
#if defined(GPCR3_VALUE)
	save	GPCR3, GPCR3_VALUE
#endif

#if 0
	save	GRER0, GRER0_VALUE
	save	GRER1, GRER1_VALUE
	save	GRER2, GRER2_VALUE

	save	GFER0, GFER0_VALUE
	save	GFER1, GFER1_VALUE
	save	GFER2, GFER2_VALUE
#endif

	save	GPDR0, GPDR0_VALUE
	save	GPDR1, GPDR1_VALUE
	save	GPDR2, GPDR2_VALUE
#if defined(GPDR3_VALUE)
	save	GPDR3, GPDR2_VALUE
#endif

	save	GAFR0_L, GAFR0_L_VALUE
	save	GAFR0_U, GAFR0_U_VALUE
	save	GAFR1_L, GAFR1_L_VALUE
	save	GAFR1_U, GAFR1_U_VALUE
	save	GAFR2_L, GAFR2_L_VALUE
	save	GAFR2_U, GAFR2_U_VALUE
#if defined(GAFR3_L_VALUE) && defined(GAFR3_U_VALUE)
	save	GAFR3_L, GAFR3_L_VALUE
	save	GAFR3_U, GAFR3_U_VALUE
#endif

	ldr		r1, =PSSR
	mov		r0, #PSSR_RDH
	str		r0, [r1]

	mov		pc, lr

