/*
 * initcalls.c: init and exit calls for blob
 *
 * Copyright (C) 2001  Erik Mouw <J.A.K.Mouw@its.tudelft.nl>
 *
 * $Id: initcalls.c,v 1.7 2003/09/04 17:39:00 russd Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: initcalls.c,v 1.7 2003/09/04 17:39:00 russd Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/arch.h>
#include <blob/init.h>
#include <blob/icache.h>
#include <blob/led.h>
#include <blob/serial.h>
#include <blob/time.h>
#include <blob/gio_drivers.h>
#include <blob/pxa_usb.h>

extern int fvscaler_init(char *param);

/* default serial initialisation */
static void serial_default_init(void)
{
	serial_init(TERMINAL_SPEED);
}

/* init calls */
__initlist(serial_default_init,	INIT_LEVEL_INITIAL_HARDWARE);
__initlist(enable_icache,	INIT_LEVEL_INITIAL_HARDWARE);
//__initlist(led_init,		INIT_LEVEL_INITIAL_HARDWARE);
__initlist(timer_init,		INIT_LEVEL_OTHER_HARDWARE);
__initlist(fvscaler_init,	INIT_LEVEL_OTHER_HARDWARE);

#if defined( CONFIG_GIO_SUPPORT )
__initlist(init_flash_io, INIT_LEVEL_OTHER_STUFF + 2);
__initlist(init_part_io, INIT_LEVEL_OTHER_STUFF + 2);
__initlist(init_ram_io, INIT_LEVEL_OTHER_STUFF + 2);
#endif

/* exit calls */
#if 0
__exitlist(disable_icache,	INIT_LEVEL_INITIAL_HARDWARE);
#endif
#if defined( CONFIG_USBDNET_SUPPORT ) || defined( CONFIG_USBDNET2_SUPPORT ) || defined( CONFIG_USBSERIAL )
__exitlist(pxa_usb_stop, INIT_LEVEL_OTHER_STUFF + 2);
#endif
