/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * (C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */
#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif
#include <blob/arch.h>
#include "xllp_defs.h"
#include "xllp_camera_os_depend.h"
#include "xllp_ov2620.h"
#include "xllp_ov7660.h"
#include "xllp_camera.h"
#include "xllp_i2c.h"
#include "xllp_ci.h"
#include "xllp_clkmgr.h"
#include "xllp_ssp_cpu.h"
#include "xllp_ssp_peri.h"
#include "xllp_ssp_plat.h"
#include "xllp_i2c.h"
#include "xllp_keypad.h"
#include "xllp_mmc.h"
#include "xllp_dmac.h"
#include "xllp_intc.h"
#include "xllp_pm_arava.h"
#include "xllp_pm_dvfm.h"
#include "xllp_usbohci.h"
#include "xllp_udc.h"
#include "xllp_ost.h"

//********************************************************************************************
//  OS wraper used by xllp_camera
//******************************************************************************************** 
void OS_Delay(int ms)
{
    XllpOstDelayMilliSeconds((P_XLLP_OST_T)OST_BASE, ms);

    return;
}

int OS_I2CMasterWriteData(XLLP_UINT8_T slaveAddr, const XLLP_UINT8_T * bytesBuf, int bytesCount)
{ 
    return XllpI2CWrite((P_XLLP_I2C_T)I2C_BASE, (P_XLLP_OST_T)OST_BASE, slaveAddr, bytesBuf, bytesCount, XLLP_TRUE);
}

int OS_I2CMasterReadData(XLLP_UINT8_T slaveAddr, XLLP_UINT8_T * bytesBuf, int bufLen)
{
    return XllpI2CRead((P_XLLP_I2C_T)I2C_BASE, (P_XLLP_OST_T)OST_BASE, slaveAddr, bytesBuf, bufLen, XLLP_TRUE);
}

#if 1

#include <blob/debug.h>

extern XLLP_STATUS_T XllpPmMiccoWrite(XLLP_UINT8_T reg, XLLP_UINT8_T val);
int nor_i2c_write( unsigned char addr, unsigned char data )
{
       int status;
       status = XllpPmMiccoWrite( addr, data );
/*	   
       if( status ){
               deprintf( "Micco write fail! - reg 0x%02X - error %d\n", addr, status );
       }
       else{
               deprintf( "Micco write OK! - reg 0x%02X = 0x%02X\n", addr, data );
       }
*/
       return status;
}

extern XLLP_STATUS_T XllpPmMiccoRead(XLLP_UINT8_T reg, XLLP_UINT8_T *pval);
int nor_i2c_read( unsigned char addr, unsigned char* data )
{
       int status;
       status =  XllpPmMiccoRead( addr, data );
/*	   
       if( status ){
               deprintf( "Micco read fail! - reg 0x%02X - error %d\n", addr, status );
       }
       else{
               deprintf( "Micco read OK! - reg 0x%02X = 0x%02X\n", addr, *data );
       }
*/
       return status;
}

#endif //1

