/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

#ifndef __XLLP_USBHOST_PLATFORM_H__
#define __XLLP_USBHOST_PLATFORM_H__

/******************************************************************************
**
**  FILENAME:   xllp_usbohci_platform.h
**
**  PURPOSE:    contains all platform specific XLLP USB Host primitives.
**
******************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

#include "xllp_defs.h"
#include "xllp_mfp.h"
#include "xllp_clkmgr.h"
#include "xllp_ost.h"
#include "xllp_usbohci.h"

//
// Current to PXA27x Processor Family Developer's Manual
//

// XLLP compliant declaration

//Platform specific USB Host primitives

typedef struct XLLP_PLATFORM_USBH_S 
{
  XLLP_LEVEL_T  usbhpwr_level;
  XLLP_LEVEL_T  usbhpen_level;
  XLLP_BOOL_T   port1_ssep_enable;
  XLLP_BOOL_T   port2_ssep_enable;
  XLLP_BOOL_T   port3_ssep_enable;
  XLLP_BOOL_T   global_sse_enable;

} XLLP_PLATFORM_USBH_T, *P_XLLP_PLATFORM_USBH_T;


#ifdef __cplusplus
}
#endif


#endif //__XLLP_USBHOST_PLATFORM_H__
