@*******************************************************************************
@
@ This program is free software; you can redistribute it and/or modify
@ it under the terms of the GNU General Public License as published by
@ the Free Software Foundation; either version 2 of the License, or
@ (at your option) any later version.
@ 
@ This program is distributed in the hope that it will be useful,
@ but WITHOUT ANY WARRANTY; without even the implied warranty of
@ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@ GNU General Public License for more details.
@ 
@ You should have received a copy of the GNU General Public License
@ along with this program; if not, write to the Free Software
@ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
@

@ (C) Copyright 2006 Marvell International Ltd.  
@  All Rights Reserved 
@*******************************************************************************
@
@  FILENAME:     xlli_MFPR_table.inc
@
@ LAST MODIFIED: 4-Aug-2006
@
@ PURPOSE:      The following table is used to configure the Muli-Function Pin
@               Registers (MFPRs) for the Zylonite platform. Alternate function
@               bits are not set (with the possible exception of one of the
@               UARTs). As supplied, the values provided below are designed to
@               configure the processor I/O pins in such a way that the I/O
@               current consumption is kept to a minimal value.
@
@*******************************************************************************
@
@       Standard XLLI setup is to configure pins for the lowest power
@       setting and all alternate functions are set to zero unless
@       otherwise specified below.
@
        .ifdef        xlli_Monahans_L @ The following MFPR settings are for Monahans L
@
        .align 2
        .word     0x0000A040      @ GPIO_0   - Pull Down Enabled
        .align 2
        .word     0x0000A041      @ GPIO_1   - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_2   - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_3   - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_4   - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_5   - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_6   - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_7   - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_8   - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_9   - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_10  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_11  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_12  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_13  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_14  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_15  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_16  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_17  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_18  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_19  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_20  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_21  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_22  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_23  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_24  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_25  - Pull uP Enabled
        .align 2
        .word     0x0000A040      @ GPIO_26  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_27  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_28  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_29  - Pull Down Enabled
        .align 2
        .word     0x0000A042      @ GPIO_30  - Configured for FFUART_RXD
        .align 2
        .word     0x0000A042      @ GPIO_31  - Configured for FFUART_TXD

        .align 2
        .word     0x0000C040      @ GPIO_32  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_33  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_34  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_35  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_36  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_37  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_38  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_39  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_40  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_41  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_42  - Pull Up Enabled
        .align 2
        .word     0x0000C042      @ GPIO_43  - Pull Up Enabled
        .align 2
        .word     0x0000C042      @ GPIO_44  - Pull Up Enabled
        .align 2
        .word     0x0000C042      @ GPIO_45  - Pull Up Enabled
        .align 2
        .word     0x0000C042      @ GPIO_46  - Pull Up Enabled
        .align 2
        .word     0x0000C042      @ GPIO_47  - Pull Up Enabled
        .align 2
        .word     0x0000C042      @ GPIO_48  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_49  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_50  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_51  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_52  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_53  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_54  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_55  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_56  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_57  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_58  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_59  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_60  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_61  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_62  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_63  - Pull Up enabled

        .align 2
        .word     0x0000A040      @ GPIO_64  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_65  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_66  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_67  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_68  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_69  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_70  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_71  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_72  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_73  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_74  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_75  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_76  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_77  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_78  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_79  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_80  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_81  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_82  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_83  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_84  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_85  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_86  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_87  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_88  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_89  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_90  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_91  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_92  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_93  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_94  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_95  - Pull Down Enabled

        .align 2
        .word     0x0000A040      @ GPIO_96  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_97  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_98  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_99  - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_100 - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_101 - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_102 - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_103 - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_104 - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_105 - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_106 - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_107 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_108 - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_109 - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_110 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_111 - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_112 - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_113 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_114 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_115 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_116 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_117 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_118 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_119 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_120 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_121 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_122 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_123 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_124 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_125 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_126 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_127 - Pull Down Enabled
@
        .align 2
        .word     0x0000C040      @ GPIO_0_2  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_1_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_2_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_3_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_4_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_5_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_6_2  - Pull Down Enabled

@
@       EMPI MFPRs (Configured by boot ROM?)
@
        .align 2
        .word     0x0000A040      @ DF_IO0
        .align 2
        .word     0x0000A040      @ DF_IO1
        .align 2
        .word     0x0000A040      @ DF_IO2
        .align 2
        .word     0x0000A040      @ DF_IO3
        .align 2
        .word     0x0000A040      @ DF_IO4
        .align 2
        .word     0x0000A040      @ DF_IO5
        .align 2
        .word     0x0000A040      @ DF_IO6
        .align 2
        .word     0x0000A040      @ DF_IO7
        .align 2
        .word     0x0000A040      @ DF_IO8
        .align 2
        .word     0x0000A040      @ DF_IO9
        .align 2
        .word     0x0000A040      @ DF_IO10
        .align 2
        .word     0x0000A040      @ DF_IO11
        .align 2
        .word     0x0000A040      @ DF_IO12
        .align 2
        .word     0x0000A040      @ DF_IO13
        .align 2
        .word     0x0000A040      @ DF_IO14
        .align 2
        .word     0x0000A040      @ DF_IO15

        .align 2
        .word     0x0000A040      @ DF_ADDR0
        .align 2
        .word     0x0000A040      @ DF_ADDR1
        .align 2
        .word     0x0000A040      @ DF_ADDR2
        .align 2
        .word     0x0000A040      @ DF_ADDR3
@
        .align 2
        .word     0x0000A040      @ DF_SCLK_E
        .align 2
        .word     0x0000A040      @ nBE0
        .align 2
        .word     0x0000A040      @ nBE1
        .align 2
        .word     0x0000A040      @ DF_nADV2_ALE
        .align 2
        .word     0x0000A040      @ DF_INT_RnB
        .align 2
        .word     0x0000A040      @ DF_nCS0
        .align 2
        .word     0x0000A040      @ DF_nCS1
        .align 2
        .word     0x0000A040      @ DF_nWE
        .align 2
        .word     0x0000A040      @ DF_nRE_nOE
        .align 2
        .word     0x0000A040      @ nLUA
        .align 2
        .word     0x0000A040      @ nLLA

        .else    @ The following MFPRs are for Monahans_P processors

        .align 2
        .word     0x0000C040      @ GPIO_0   - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_1   - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_2   - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_3   - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_4   - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_5   - Pull Up Enabled
        .align 2
        .word     0x0000C040      @ GPIO_6   - Pull Up Enabled
        .align 2
        .word     0x000000C0      @ GPIO_7   - Tri-State Enabled
        .align 2
        .word     0x000000C0      @ GPIO_8   - Tri-State Enabled
        .align 2
        .word     0x0000A040      @ GPIO_9   - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_10  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_11  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_12  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_13  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_14  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_15  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_16  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_17  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_18  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_19  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_20  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_21  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_22  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_23  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_24  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_25  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_26  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_27  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_28  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_29  - Pull Down Enabled
        .align 2
        .word     0x000000C0      @ GPIO_30  - Tri-State Enabled
        .align 2
        .word     0x000000C0      @ GPIO_31  - Tri-State Enabled

        .align 2
        .word     0x0000A040      @ GPIO_32  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_33  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_34  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_35  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_36  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_37  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_38  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_39  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_40  - Pull Down Enabled
        .align 2
        .word     0x000000C2      @ GPIO_41  - Configured for FFUART_RXD AF=2
        .align 2
        .word     0x000000C2      @ GPIO_42  - Configured for FFUART_TXD AF=2
        .align 2
        .word     0x000000C2      @ GPIO_43  - Configured for FFUART_CTS AF=2
        .align 2
        .word     0x000000C2      @ GPIO_44  - Configured for FFUART_DCD AF=2
        .align 2
        .word     0x000000C2      @ GPIO_45  - Configured for FFUART_DSR AF=2
        .align 2
        .word     0x000000C2      @ GPIO_46  - Configured for FFUART_RI  AF=2
        .align 2
        .word     0x000000C2      @ GPIO_47  - Configured for FFUART_DTR AF=2
        .align 2
        .word     0x000000C2      @ GPIO_48  - Configured for FFUART_RTS AF=2
        .align 2
        .word     0x0000A040      @ GPIO_49  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_50  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_51  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_52  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_53  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_54  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_55  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_56  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_57  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_58  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_59  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_60  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_61  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_62  - Pull Down Enabled
        .align 2
        .word     0x0000C040      @ GPIO_63  - Pull Up enabled

        .align 2
        .word     0x0000A040      @ GPIO_64  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_65  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_66  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_67  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_68  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_69  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_70  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_71  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_72  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_73  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_74  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_75  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_76  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_77  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_78  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_79  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_80  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_81  - Pull Down Enabled
        .align 2
        .word     0x0000C140      @ GPIO_82  - Pull Up Enabled
        .align 2
        .word     0x0000A040      @ GPIO_83  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_84  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_85  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_86  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_87  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_88  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_89  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_90  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_91  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_92  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_93  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_94  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_95  - Pull Down Enabled

        .align 2
        .word     0x0000A040      @ GPIO_96  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_97  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_98  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_99  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_100 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_101 - Pull Down Enabled
        .align 2
        .word     0x000000C0      @ GPIO_102 - Tri-State Enabled
        .align 2
        .word     0x000000C0      @ GPIO_103 - Tri-State Enabled
        .align 2
        .word     0x0000A040      @ GPIO_104 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_105 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_106 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_107 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_108 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_109 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_110 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_111 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_112 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_113 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_114 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_115 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_116 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_117 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_118 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_119 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_120 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_121 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_122 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_123 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_124 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_125 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_126 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_127 - Pull Down Enabled
@
        .align 2
        .word     0x000000C0      @ GPIO_0_2  - Tri-State Enabled
        .align 2
        .word     0x0000A040      @ GPIO_1_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_2_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_3_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_4_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_5_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_6_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_7_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_8_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_9_2  - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_10_2 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_11_2 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_12_2 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_13_2 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_14_2 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_15_2 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_16_2 - Pull Down Enabled
        .align 2
        .word     0x0000A040      @ GPIO_17_2 - Pull Down Enabled
@
@       EMPI MFPRs (Configured by boot ROM?)
@
        .align 2
        .word     0x0000A040      @ DF_IO0
        .align 2
        .word     0x0000A040      @ DF_IO1
        .align 2
        .word     0x0000A040      @ DF_IO2
        .align 2
        .word     0x0000A040      @ DF_IO3
        .align 2
        .word     0x0000A040      @ DF_IO4
        .align 2
        .word     0x0000A040      @ DF_IO5
        .align 2
        .word     0x0000A040      @ DF_IO6
        .align 2
        .word     0x0000A040      @ DF_IO7
        .align 2
        .word     0x0000A040      @ DF_IO8
        .align 2
        .word     0x0000A040      @ DF_IO9
        .align 2
        .word     0x0000A040      @ DF_IO10
        .align 2
        .word     0x0000A040      @ DF_IO11
        .align 2
        .word     0x0000A040      @ DF_IO12
        .align 2
        .word     0x0000A040      @ DF_IO13
        .align 2
        .word     0x0000A040      @ DF_IO14
        .align 2
        .word     0x0000A040      @ DF_IO15

        .align 2
        .word     0x0000A040      @ DF_ADDR0
        .align 2
        .word     0x0000A040      @ DF_ADDR1
        .align 2
        .word     0x0000A040      @ DF_ADDR2
        .align 2
        .word     0x0000A040      @ DF_ADDR3
@
        .align 2
        .word     0x0000A040      @ nXCVREN
        .align 2
        .word     0x0000A040      @ ND_CLE
        .align 2
        .word     0x0000A040      @ DF_nADV1_ALE
        .align 2
        .word     0x0000A040      @ DF_SCLK_S
        .align 2
        .word     0x0000A040      @ DF_SCLK_E
        .align 2
        .word     0x0000A040      @ nBE0
        .align 2
        .word     0x0000A040      @ nBE1
        .align 2
        .word     0x0000A040      @ DF_nADV2_ALE
        .align 2
        .word     0x0000A040      @ DF_INT_RnB
        .align 2
        .word     0x0000A040      @ DF_nCS0
        .align 2
        .word     0x0000A040      @ DF_nCS1
        .align 2
        .word     0x0000A040      @ DF_nWE
        .align 2
        .word     0x0000A040      @ DF_nRE_nOE
        .align 2
        .word     0x0000A040      @ nLUA
        .align 2
        .word     0x0000A040      @ nLLA

        .endif   @ ******** End of xlli_Monahans_L conditional ********

        
