@*********************************************************************************
@ This program is free software; you can redistribute it and/or modify
@ it under the terms of the GNU General Public License as published by
@ the Free Software Foundation; either version 2 of the License, or
@ (at your option) any later version.
@ 
@ This program is distributed in the hope that it will be useful,
@ but WITHOUT ANY WARRANTY; without even the implied warranty of
@ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@ GNU General Public License for more details.
@ 
@ You should have received a copy of the GNU General Public License
@ along with this program; if not, write to the Free Software
@ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
@

@ (C) Copyright 2006 Marvell International Ltd.  
@  All Rights Reserved 
@*********************************************************************************
@
@  FILENAME:       xlli_Monahans_defs.inc
@
@ LAST MODIFIED:   17-Jul-2006
@
@******************************************************************************
@
@ Include file for Monahans Processor based
@ Cross Platform Low Level Initialization  (XLLI)
@

@
@ GENERAL PURPOSE I/O (GPIO) base address and register offsets from the base address
@

     .equ 	xlli_GPIOREGS_PHYSICAL_BASE,0x40E00000
         .equ     xlli_MFPR_PHYSICAL_BASE,0x40E10000

@ GPIO register offsets from the base address

       .equ     xlli_GPLR0_offset,0x000   @ GPIO Level registers
       .equ     xlli_GPLR1_offset,0x004
       .equ     xlli_GPLR2_offset,0x008
       .equ     xlli_GPLR3_offset,0x100

       .equ     xlli_GPDR0_offset,0x00C   @ GPIO Direction registers
       .equ     xlli_GPDR1_offset,0x010
       .equ     xlli_GPDR2_offset,0x014
       .equ     xlli_GPDR3_offset,0x10C

       .equ     xlli_GPSR0_offset,0x018   @ GPIO Set registers
       .equ     xlli_GPSR1_offset,0x01C
       .equ     xlli_GPSR2_offset,0x020
       .equ     xlli_GPSR3_offset,0x118

       .equ     xlli_GPCR0_offset,0x024   @ GPIO Clear registers
       .equ     xlli_GPCR1_offset,0x028
       .equ     xlli_GPCR2_offset,0x02C
       .equ     xlli_GPCR3_offset,0x124

     .equ     xlli_GAFR0_L_offset,0x054   @ GPIO Alternate function registers (Bits 15:0)
     .equ     xlli_GAFR0_U_offset,0x058   @ Bits 31:16
     .equ     xlli_GAFR1_L_offset,0x05C   @ Bits 47:32
     .equ     xlli_GAFR1_U_offset,0x060   @ Bits 63:48
     .equ     xlli_GAFR2_L_offset,0x064   @ Bits 79:64
     .equ     xlli_GAFR2_U_offset,0x068   @ Bits 95:80
     .equ     xlli_GAFR3_L_offset,0x06C   @ Bits 111:96
     .equ     xlli_GAFR3_U_offset,0x070   @ Bits 127:112
@
@ EXTERNAL MEMORY CONTROLLER base address and register offsets from the base address 
@

     .equ     xlli_DMEMREGS_PHYSICAL_BASE,0x48100000

      .equ     xlli_MDCNFG_offset,0x000
      .equ     xlli_MDREFR_offset,0x004
        .equ     xlli_MSC0_offset,0x008
        .equ     xlli_MSC1_offset,0x00C
        .equ     xlli_MSC2_offset,0x010
        .equ     xlli_MECR_offset,0x014
       .equ     xlli_SXLCR_offset,0x018
      .equ     xlli_SXCNFG_offset,0x01C
     .equ     xlli_FLYCNFG_offset,0x020
       .equ     xlli_SXMRS_offset,0x024                                       
      .equ     xlli_MCMEM0_offset,0x028
      .equ     xlli_MCMEM1_offset,0x02C
      .equ     xlli_MCATT0_offset,0x030
      .equ     xlli_MCATT1_offset,0x034
       .equ     xlli_MCIO0_offset,0x038
       .equ     xlli_MCIO1_offset,0x03C
       .equ     xlli_MDMRS_offset,0x040
    .equ     xlli_BOOT_DEF_offset,0x044
    .equ     xlli_ARB_CNTL_offset,0x048
     .equ     xlli_BSCNTR0_offset,0x04C
    .equ     xlli_DDR_SCAL_offset,0x050   @ Software Delay Line Cal/Config for DDR Memory read
    .equ     xlli_DDR_HCAL_offset,0x060   @ Hardware Delay Line Cal/Config for DDR Memory read
     .equ     xlli_BSCNTR3_offset,0x060
    .equ     xlli_DDR_WCAL_offset,0x068   @ Delay Line Cal/Config for DDR Memory Write strobes
      .equ     xlli_DMCIER_offset,0x070   @ 
      .equ     xlli_DMCISR_offset,0x078   @ 
     .equ     xlli_DDR_DLS_offset,0x080   @ DDR Dleay Line value Status Register for external DDR memory
        .equ     xlli_EMPI_offset,0x090   @ EMPI Control Register
       .equ     xlli_RCOMP_offset,0x100   @ RCOMP Control Register
      .equ     xlli_PAD_MA_offset,0x110   @ Strength / Slew Settings for Pads MA [15:0]
   .equ     xlli_PAD_MDMSB_offset,0x114   @ Strength / Slew Settings for Pads MD [31:16]
   .equ     xlli_PAD_MDLSB_offset,0x118   @ Strength / Slew Settings for Pads MD [15:0]
    .equ     xlli_PAD_DMEM_offset,0x11C   @ Strength / Slew Settings for Pads nSDCAS, nSDRAS, nSDWE....
   .equ     xlli_PAD_SDCLK_offset,0x120   @ Strength / Slew settings for Pads SDCLK[1:0]
    .equ     xlli_PAD_SDCS_offset,0x124   @ Strength / Slew settings for Pads nSDCS[1:0]
    .equ     xlli_PAD_SMEM_offset,0x128   @ Strength / Slew settings for Pads nOE, nWE, nCS, nADV, nADV2
    .equ     xlli_PAD_SCLK_offset,0x12C   @ Strength / Slew settings for Pads SCLK
         .equ     xlli_CMA_offset,0xFFC   @ Controller Miscellaneous Access Register

@ Memory Controller bit defs

       .equ     xlli_MDREFR_K0DB4,0x20000000      @ Sync Static Clock 0 divide by 4 control/status
      .equ     xlli_MDREFR_K2FREE,0x02000000      @ Set to force SDCLK[2] to be free running
      .equ     xlli_MDREFR_K1FREE,0x01000000      @ Set to force SDCLK[1] to be free running
      .equ     xlli_MDREFR_K0FREE,0x00800000      @  Set to force SDCLK[0] to be free running
      .equ     xlli_MDREFR_SLFRSH,0x00400000      @ Self Refresh Control Status bit
         .equ     xlli_MDREFR_APD,0x00100000      @ Auto Power Down bit
       .equ     xlli_MDREFR_K2DB2,0x00080000      @ SDRAM clock pin 2 divide by 2 control/status
       .equ     xlli_MDREFR_K1DB2,0x00020000      @ SDRAM clock pin 1 divide by 2 control/status
       .equ     xlli_MDREFR_K1RUN,0x00010000      @ SDRAM clock pin 1 run/control status
       .equ     xlli_MDREFR_E1PIN,0x00008000      @  SDRAM clock Enable pin 1 level control/status
       .equ     xlli_MDREFR_K0DB2,0x00004000      @ Sync Static Memory Clock divide by 2 control/status
       .equ     xlli_MDREFR_K0RUN,0x00002000      @ Sync Static Memory Clock Pin 0
      .equ     xlli_MDREFR_SWFREQ,0x00000200      @ Frequency Change Bit
       .equ     xlli_MDREFR_E0PIN,0x00000100      @ SDRAM clock enable pin 0 (Cotulla ONLY!!)
@
@       MDCNFG bit settings
@
         .equ     xlli_MDCNFG_DE0,0x00000001      @ SDRAM enable bit for partition 0 (PXA27x only)
         .equ     xlli_MDCNFG_DE1,0x00000002      @ SDRAM enable bit for partition 1 (PXA27x only)
        .equ     xlli_MDCNFG_DSCE,0x00000003      @ Dynamic Chip Select Enable bits (Monahans)
       .equ     xlli_MDCNFG_DWID0,0x00000004      @ SDRAM bus width (clear = 32 bits, set = 16 bits)
         .equ     xlli_MDCNFG_DE2,0x00010000      @ SDRAM enable bit for partition 2
         .equ     xlli_MDCNFG_DE3,0x00020000      @ SDRAM enable bit for partition 3
       .equ     xlli_MDCNFG_DMCEN,0x40000000      @ Enable Dynamic Memory Controller
@
@       MDMRS bit settings
@
        .equ     xlli_MDMRS_MSCS1,0x80000000      @ Controls assertion of CS1 during MRS command
        .equ     xlli_MDMRS_MSCS0,0x40000000      @ Controls assertion of CS0 during MRS command
       .equ     xlli_MDMRS_MDCOND,0x20000000      @ MD Condition bit
@
@       MDCISR bit settings
@
      .equ     xlli_DMCISR_SLFREF,0x00000080      @ Self refresh bit
@
@       RCOMP register bit settings
@
       .equ     xlli_RCOMP_SWEVAL,0x80000000      @ Software Rcomp Evaluation Request bit
       .equ     xlli_RCOMP_UPDATE,0x40000000      @ Pad Registers Update bit
        .equ     xlli_RCOMP_RCNOP,0x01000000      @ Rcomp NOP bit
@
@       Misc External Memory Control bits
@
      .equ     xlli_DDR_HCAL_HCEN,0x80000000      @ Hardware Calibration Phase Detector enable
      .equ     xlli_DDR_HCAL_HCPW,0x20000000      @ Hardware Calibration Phase Detector Pulse Width
    .equ     xlli_DDR_HCAL_HCPROG,0x10000000      @ Hardware calibration program mode bit 
      .equ     xlli_DDR_HCAL_HCOD,0x08000000      @ Hardware Calibration Overhead Delay
           .equ     xlli_CMA_APDD,0x02000000      @ Auto Power Down Disable
         .equ     xlli_DMCISR_DLP,0x20000000      @ Delay Lines Programmed (HW Cal) done bit
@
@       Static Memory Controller offsets
@
     .equ     xlli_STAMREGS_PHYSICAL_BASE,0x4A000000      @ Static memory controller base

   .equ     xlli_MEMCLKCFG_offset,0x68    @ Offset to memory clock config register
   .equ     xlli_CSADRCFG0_offset,0x80    @ Offset to Address Config Reg for Chip sel 0
   .equ     xlli_CSADRCFG1_offset,0x84    @ Offset to Address Config Reg for Chip sel 1
   .equ     xlli_CSADRCFG2_offset,0x88    @ Offset to Address Config Reg for Chip sel 2
   .equ     xlli_CSADRCFG3_offset,0x8C    @ Offset to Address Config Reg for Chip sel 3
  .equ     xlli_CSMSADRCFG_offset,0xA0    @ Offset from base to CSMSADRCFG register

@
@ CLOCK REGISTERS base address and register offsets from the base address
@ 

      .equ     xlli_CLKREGS_PHYSICAL_BASE,0x41340000      @ Clocks Register base

        .equ     xlli_ACCR_offset,0x00    @ Application Clock Configuration Register
        .equ     xlli_ACSR_offset,0x04    @ Application Clock Status Register
    .equ     xlli_D0CKEN_A_offset,0x0C    @ Offset to D0CKEN_A Register
    .equ     xlli_D0CKEN_B_offset,0x10    @ Offset to D0CKEN_B Register
        .equ     xlli_OSCC_offset,0x08    @ Oscillator Configuration Register

    .equ     xlli_CCCR_A_Bit_Mask,(0x1 << 25)     @ "A" bit is bit 25 in CCCR

@
@ OS TIMER REGISTERS base address and register offsets from the base address
@ 

        .equ     xlli_OSTREGS_PHYSICAL_BASE,(0x40A00000)

       .equ     xlli_OSCR0_offset,(0x10)  @ OS Timer Count Register 0
@
@ Coprocessor 15 data bits
@ 

     .equ     xlli_control_icache,0x1000  @ bit 12 -  i-cache bit
        .equ     xlli_control_btb,0x0800  @ bit 11 -  btb bit
          .equ     xlli_control_r,0x0200  @ Bit 9
          .equ     xlli_control_s,0x0100  @ Bit 8
     .equ     xlli_control_dcache,0x0004  @ Bit 2  -  d-cache bit
        .equ     xlli_control_mmu,0x0001  @ Bit 0  -  MMU bit
    .equ     xlli_control_l2cache,0x04000000 @ bit 26 - level 2 cache enable

@
@ CP 15 related settings
@

                   .equ     xlli_PID,(0x00)
                  .equ     xlli_DACR,(0x01)
        .equ     xlli_CONTROL_DCACHE,(0x04)
   .equ     xlli_CONTROL_MINIDATA_01,(0x10)
           .equ     xlli_CONTROL_BTB,(0x800)   @ Brach Target Buffer bit

@
@  CPSR Processor constants
@
   .equ       xlli_CPSR_Mode_MASK,(0x0000001F)
    .equ       xlli_CPSR_Mode_USR,(0x10)
    .equ       xlli_CPSR_Mode_FIQ,(0x11)
    .equ       xlli_CPSR_Mode_IRQ,(0x12)
    .equ       xlli_CPSR_Mode_SVC,(0x13)
    .equ       xlli_CPSR_Mode_ABT,(0x17)
    .equ       xlli_CPSR_Mode_UND,(0x1B)
    .equ       xlli_CPSR_Mode_SYS,(0x1F)

       .equ       xlli_CPSR_I_Bit,(0x80)
       .equ       xlli_CPSR_F_Bit,(0x40)


    .equ       xlli_PWRMODE_SLEEP,(0x00000003) @ Value for cp14: Reg7 to induce sleep.
@
@     Bit settings
@
      .equ     xlli_BIT_0,0x00000001
      .equ     xlli_BIT_1,0x00000002
      .equ     xlli_BIT_2,0x00000004
      .equ     xlli_BIT_3,0x00000008
      .equ     xlli_BIT_4,0x00000010
      .equ     xlli_BIT_5,0x00000020
      .equ     xlli_BIT_6,0x00000040
      .equ     xlli_BIT_7,0x00000080
      .equ     xlli_BIT_8,0x00000100
      .equ     xlli_BIT_9,0x00000200
     .equ     xlli_BIT_10,0x00000400
     .equ     xlli_BIT_11,0x00000800
     .equ     xlli_BIT_12,0x00001000
     .equ     xlli_BIT_13,0x00002000
     .equ     xlli_BIT_14,0x00004000
     .equ     xlli_BIT_15,0x00008000
     .equ     xlli_BIT_16,0x00010000
     .equ     xlli_BIT_17,0x00020000
     .equ     xlli_BIT_18,0x00040000
     .equ     xlli_BIT_19,0x00080000
     .equ     xlli_BIT_20,0x00100000
     .equ     xlli_BIT_21,0x00200000
     .equ     xlli_BIT_22,0x00400000
     .equ     xlli_BIT_23,0x00800000
     .equ     xlli_BIT_24,0x01000000
     .equ     xlli_BIT_25,0x02000000
     .equ     xlli_BIT_26,0x04000000
     .equ     xlli_BIT_27,0x08000000
     .equ     xlli_BIT_28,0x10000000
     .equ     xlli_BIT_29,0x20000000
     .equ     xlli_BIT_30,0x40000000
     .equ     xlli_BIT_31,0x80000000

.ifdef CONFIG_CPU_MONAHANS_L
	.equ	xlli_Monahans_L, 0x1	@ Uncomment this line if using a Monahans L processor
.endif
.ifdef CONFIG_CPU_MONAHANS_LV
	.equ	xlli_Monahans_L, 0x1	@ Uncomment this line if using a Monahans L processor
	.equ	xlli_Monahans_LV, 0x1
.endif

      
