/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

#include "xllp_true_ide.h"

/*------------------------------------------------------------
 Function:  xllp_true_ide_init_proc
 Purpose:  set the SMC controller for true IDE
 Returns:  void
 I/F type: I/F PROC 1
--------------------------------------------------------------*/
void xllp_true_ide_init_proc( P_XLLP_TRUE_IDE_T true_ide_handle )
{
	true_ide_handle->pStaticMemCtl->casdrcfg3 = 0x3e080b;
	true_ide_handle->pStaticMemCtl->msc1 = 0x7ffc0000 | 
		(true_ide_handle->pStaticMemCtl->msc1 & 0xffff);
}

/*------------------------------------------------------------
 Function:  xllp_true_ide_dump_regs
 Purpose:  dump the task registers and control registers
 out put parameters: 
 	reg[0]: Error Register
 	reg[1]: Sector Count
 	reg[2]: Sector No
 	reg[3]: Cylinder Low
 	reg[4]: Cylinder High
 	reg[5]: Head
 	reg[6]: Status
 	reg[7]: Alt Status
 Returns:  void
 I/F type: I/F PROC 1
--------------------------------------------------------------*/
void xllp_true_ide_dump_regs(
	P_XLLP_TRUE_IDE_T true_ide_handle, 
	P_XLLP_UINT8_T reg)
{
	XLLP_UINT8_T i=1;
	for(i=1; i<=7; i++) {
		reg[i-1] = (XLLP_UINT8_T)(*((true_ide_handle->io_port1 + 
				(i <<(true_ide_handle->add_shift)))));
	}
	reg[7] = (XLLP_UINT8_T)(*((true_ide_handle->io_port2 + 
		(6 << (true_ide_handle->add_shift)))));
		
}
