/*
 * serial_usb.c: Serial over usb utilities for blob
 *
 * Copyright (c) 2004, Intel Corporation (alek.du@intel.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: serial_usb.c,v 1.3 2004/09/07 02:44:16 bvd Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif


#include <blob/arch.h>
#include <blob/errno.h>
#include <blob/led.h>
#include <blob/serial_usb.h>
#include <blob/time.h>

usb_serial_driver_t *usb_serial_driver;



int usb_serial_init()
{
#ifdef BLOB_DEBUG
	if(usb_serial_driver == NULL) {
		printf("Serial over USB driver handle is NULL!\n");
		return -ERANGE;
	}
#endif

	return usb_serial_driver->init();
}




int usb_serial_read(char *buf,int size)
{
	return usb_serial_driver->read(buf,size);
}




int usb_serial_write(const char *buf,int size)
{
	return usb_serial_driver->write(buf,size);
}


