/*-------------------------------------------------------------------------
 * Filename:      time-null.c
 * Version:       $Id: time-null.c,v 1.1 2003/09/04 17:39:01 russd Exp $
 * Copyright:     Copyright (C) 1999, Erik Mouw
 * Author:        Erik Mouw <J.A.K.Mouw@its.tudelft.nl>
 * Description:   Best alternative? fake it (for development)
 * Created at:    Tue Aug 24 21:08:25 1999
 * Modified by:   Erik Mouw <J.A.K.Mouw@its.tudelft.nl>
 * Modified at:   Sun Oct  3 21:10:21 1999
 *-----------------------------------------------------------------------*/
/*
 * timer.c: Timer functions for blob
 *
 * Copyright (C) 1999 2000 2001  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#warning This is for development only, it has problems...

#ident "$Id: time-null.c,v 1.1 2003/09/04 17:39:01 russd Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/init.h>
#include <blob/led.h>
#include <blob/arch.h>
#include <blob/time.h>

static u32 timer;

static void null_timer_init(void)
{
	timer = 0;
}

/* returns the time in 1/TICKS_PER_SECOND seconds */
static u32 null_timer_read(void)
{
	return(timer++);
}

static int null_timer_overflow(void)
{
	return(0);
}

static void null_timer_overflow_clear(void)
{
}

/* export time driver */
timer_driver_t null_timer_driver = {
	init:		null_timer_init,
	read:		null_timer_read,
	overflow:	null_timer_overflow,
	overflow_clear:	null_timer_overflow_clear,
	tps:		10000,
};

