#! /bin/bash

usage_help() {
    echo "usage:  ./setup.sh [PRODUCT=BENZ_WBD_512|?], linux_kernel=your_linux_directory, formal_release, TRUSTED"
    echo "param:  PRODUCT=BENZ_WBD_512 (benzina 3g 512m ddr)"
    echo "        ?		(print this help)"
}


cd ..
export tmpstr=$(echo $PWD | sed -e 's/\//\\\//g')
cd -
export TARGET_SRC=$PWD

cp Def_Rules.make Rules.make
sed -i -e 's/CONFIG_CC_DEVELOPMENT=y/CONFIG_CC_DEVELOPMENT=n/g' ${TARGET_SRC}/Rules.make
sed -i -e '/PXA_ROOT_DIR/s/\/vobs\/xscalelinux/'$tmpstr'/g' ${TARGET_SRC}/Rules.make

case "$1" in
	PRODUCT=BENZ_WBD_512)
    sed -e "s/\# CONFIG_PLATFORM_BEZ3G512 .*$/CONFIG_PLATFORM_BEZ3G512=y/" -e "s/\# SUPPORT_FOTA .*$/SUPPORT_FOTA=y/" -e "s/\# CONFIG_CPU_TAVOR_PV .*$/CONFIG_CPU_TAVOR_PV=y/" -e "s/\# CONFIG_BOOT_ONENAND .*$/CONFIG_BOOT_ONENAND=y/" -e "s/\# CONFIG_PVK_BLOB_USB20 .*$/CONFIG_PVK_BLOB_USB20=y/"  -e "s/\# CONFIG_WTPTP_MOBM .*$/CONFIG_WTPTP_MOBM=y/" -e "s/\# CONFIG_WTPTP_NTBB .*$/CONFIG_WTPTP_NTBB=y/" -e "s/\# CONFIG_WTPTP_WTPTP .*$/CONFIG_WTPTP_WTPTP=y/" def_config > .config
#	mv -f .tmpconfig .config
	;;
    *)
    usage_help
	exit 1
	;;
esac


kernel_path=`echo $2 | sed -e "s/linux_kernel=//g"`
case "$kernel_path" in
	?)
		echo "usage:  ./setup.sh Your_linux_directory"
		exit 1
		;;
	*)
		if [ "" = "$kernel_path" ];then
			echo "usage:  ./setup.sh Your_linux_directory"
			exit 1
		fi

		if [ -r "$kernel_path" ];then
			echo "$kernel_path is OK!"
			rm -fr linux
			ln -s $kernel_path linux
		else
			echo ""$kernel_path" does not exist!"
			exit 1
		fi
		;;
esac

case "$3" in
	?)
		echo "usage:  setup build type, release or debug \
		      usage:  setup security, security or NULL "
		exit 1
		;;
	*)
		if [ "formal_release" = "$3" ];then
			sed -i -e 's/CONFIG_BLOB_DEBUG=y/CONFIG_BLOB_DEBUG=n/g' ${TARGET_SRC}/Rules.make
		fi
		if [ "TRUSTED" = "$3" ];then
			sed -i -e 's/CONFIG_BLOB_SECURITY=n/CONFIG_BLOB_SECURITY=y/g' ${TARGET_SRC}/Rules.make
		fi

		;;
esac

case "$4" in
	?)
		echo "usage:  setup build type, release or debug \
		      usage:  setup security, security or NULL "
		exit 1
		;;
	*)
		if [ "formal_release" = "$4" ];then
			sed -i -e 's/CONFIG_BLOB_DEBUG=y/CONFIG_BLOB_DEBUG=n/g' ${TARGET_SRC}/Rules.make
		fi
		if [ "TRUSTED" = "$4" ];then
			sed -i -e 's/CONFIG_BLOB_SECURITY=n/CONFIG_BLOB_SECURITY=y/g' ${TARGET_SRC}/Rules.make
		fi
		;;
esac

echo "Please run make zImage firstly,then build blob!" 
